## golang-github-willf-bitset 1.0.0+git20161202.88.5c3c0fc

=== Makefile ===
# MAKEFILE
#
# @author      Nicola Asuni <nicola@cognitivelogic.com>
# @link        https://github.com/willf/bitset
# ------------------------------------------------------------------------------

# List special make targets that are not associated with files
.PHONY: help all test format fmtcheck vet lint coverage cyclo ineffassign misspell astscan qa deps clean nuke

# Use bash as shell (Note: Ubuntu now uses dash which doesn't support PIPESTATUS).
SHELL=/bin/bash

# Project owner
OWNER=willf

# Project name
PROJECT=bitset

# Name of RPM or DEB package
PKGNAME=${OWNER}-${PROJECT}

# Go lang path. Set if necessary
# GOPATH=$(shell readlink -f $(shell pwd)/../../../../)

# Current directory
CURRENTDIR=$(shell pwd)

# --- MAKE TARGETS ---
all: qa

# Alias for qa target
all: test

# Display general help about this command
help:
	@echo ""
	@echo "$(PROJECT) Makefile."
	@echo "The following commands are available:"
	@echo ""
	@echo "    make qa          : Run all the tests"
	@echo "    make test        : Run the unit tests"
	@echo ""
	@echo "    make format      : Format the source code"
	@echo "    make fmtcheck    : Check if the source code has been formatted"
	@echo "    make vet         : Check for suspicious constructs"
	@echo "    make lint        : Check for style errors"
	@echo "    make coverage    : Generate the coverage report"
	@echo "    make cyclo       : Generate the cyclomatic complexity report"
	@echo "    make ineffassign : Detect ineffectual assignments"
	@echo "    make misspell    : Detect commonly misspelled words in source files"
	@echo "    make astscan     : GO AST scanner"
	@echo ""
	@echo "    make docs        : Generate source code documentation"
	@echo ""
	@echo "    make deps        : Get the dependencies"
	@echo "    make clean       : Remove any build artifact"
	@echo "    make nuke        : Deletes any intermediate file"
	@echo ""


# Run the unit tests
test:
	@mkdir -p target/test
	@mkdir -p target/report
	GOPATH=$(GOPATH) go test -covermode=count -coverprofile=target/report/coverage.out -bench=. -race -v ./... | \
	tee >(PATH=$(GOPATH)/bin:$(PATH) go-junit-report > target/test/report.xml); \
	test $${PIPESTATUS[0]} -eq 0

# Format the source code
format:
	@find ./ -type f -name "*.go" -exec gofmt -w {} \;

# Check if the source code has been formatted
fmtcheck:
	@mkdir -p target
	@find ./ -type f -name "*.go" -exec gofmt -d {} \; | tee target/format.diff
	@test ! -s target/format.diff || { echo "ERROR: the source code has not been formatted - please use 'make format' or 'gofmt'"; exit 1; }

# Check for syntax errors
vet:
	GOPATH=$(GOPATH) go vet ./...

# Check for style errors
lint:
	GOPATH=$(GOPATH) PATH=$(GOPATH)/bin:$(PATH) golint ./...

# Generate the coverage report
coverage:
	GOPATH=$(GOPATH) go tool cover -html=target/report/coverage.out -o target/report/coverage.html

# Report cyclomatic complexity
cyclo:
	@mkdir -p target/report
	GOPATH=$(GOPATH) gocyclo -avg ./ | tee target/report/cyclo.txt ; test $${PIPESTATUS[0]} -eq 0

# Detect ineffectual assignments
ineffassign:
	@mkdir -p target/report
	GOPATH=$(GOPATH) ineffassign ./ | tee target/report/ineffassign.txt ; test $${PIPESTATUS[0]} -eq 0

# Detect commonly misspelled words in source files
misspell:
	@mkdir -p target/report
	GOPATH=$(GOPATH) misspell -error ./  | tee target/report/misspell.txt ; test $${PIPESTATUS[0]} -eq 0

# AST scanner
astscan:
	@mkdir -p target/report
	GOPATH=$(GOPATH) gas --nosec=true ./... | tee target/report/astscan.txt ; test $${PIPESTATUS[0]} -eq 0

# Generate source docs
docs:
	@mkdir -p target/docs
	nohup sh -c 'GOPATH=$(GOPATH) godoc -http=127.0.0.1:6060' > target/godoc_server.log 2>&1 &
	wget --directory-prefix=target/docs/ --execute robots=off --retry-connrefused --recursive --no-parent --adjust-extension --page-requisites --convert-links http://127.0.0.1:6060/pkg/github.com/${OWNER}/${PROJECT}/ ; kill -9 `lsof -ti :6060`
	@echo '<html><head><meta http-equiv="refresh" content="0;./127.0.0.1:6060/pkg/github.com/'${OWNER}'/'${PROJECT}'/index.html"/></head><a href="./127.0.0.1:6060/pkg/github.com/'${OWNER}'/'${PROJECT}'/index.html">'${PKGNAME}' Documentation ...</a></html>' > target/docs/index.html

# Alias to run all quality-assurance checks
qa: deps fmtcheck test vet lint coverage cyclo ineffassign misspell astscan

# --- INSTALL ---

# Get the dependencies
deps:
	GOPATH=$(GOPATH) go get ./...
	GOPATH=$(GOPATH) go get github.com/golang/lint/golint
	GOPATH=$(GOPATH) go get github.com/jstemmer/go-junit-report
	GOPATH=$(GOPATH) go get github.com/axw/gocov/gocov
	GOPATH=$(GOPATH) go get github.com/fzipp/gocyclo
	GOPATH=$(GOPATH) go get github.com/gordonklaus/ineffassign
	GOPATH=$(GOPATH) go get github.com/client9/misspell/cmd/misspell
	GOPATH=$(GOPATH) go get github.com/HewlettPackard/gas

# Remove any build artifact
clean:
	GOPATH=$(GOPATH) go clean ./...

# Deletes any intermediate file
nuke:
	rm -rf ./target
	GOPATH=$(GOPATH) go clean -i ./...

## golang-github-willf-bitset 1.1.2+git20170505.0.988f4f2

=== debian/changelog ===
golang-github-willf-bitset (1.1.2+git20170505.0.988f4f2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 17 Jul 2017 21:11:47 -0500

golang-github-willf-bitset (1.0.0+git20161202.88.5c3c0fc-1) unstable; urgency=medium

  * Initial release (Closes: #722977)

 -- Michael Lustfield <michael@lustfield.net>  Fri, 24 Mar 2017 01:19:59 -0500

=== debian/control ===
Source: golang-github-willf-bitset
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 3.9.8
Homepage: https://github.com/willf/bitset
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-willf-bitset.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-willf-bitset.git
XS-Go-Import-Path: github.com/willf/bitset

Package: golang-github-willf-bitset-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Implements bitsets, a mapping between non-negative integers and boolean values
 This package provides a Go library with methods for setting, clearing,
 flipping, and testing individual integers.
 .
 It also provides set intersection, union, difference, complement, and
 symmetric operations, as well as tests to check whether any, all, or
 no bits are set, and queries a bitset's current length and number of
 positive bits.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-willf-bitset-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/willf/bitset/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-willf-bitset 1.1.3

=== debian/changelog ===
golang-github-willf-bitset (1.1.3-3) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:34 -0600

golang-github-willf-bitset (1.1.3-2) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:16:08 -0600

golang-github-willf-bitset (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Follow upstream releases; not git tags.
  * Maintenance updates:
    - Standards version bump.
    - Add Testsuite.
    - Fix failing tests.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 26 Sep 2017 04:12:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: golang-github-willf-bitset
 Section: devel
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Lustfield <michael@lustfield.net>
+Maintainer: QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/willf/bitset
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-willf-bitset.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-willf-bitset.git
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/willf/bitset
 
 Package: golang-github-willf-bitset-dev

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/willf/bitset/releases \
   .*/archive/v?(\d[\d.]+)\.tar\.gz

## golang-github-willf-bitset 1.1.10

=== debian/changelog ===
golang-github-willf-bitset (1.1.10-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 Feb 2024 10:53:30 +0100

=== debian/control ===
Source: golang-github-willf-bitset
Section: devel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/bits-and-blooms/bitset/
Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-github-willf-bitset
Vcs-Git: https://gitlab.com/kalilinux/packages/golang-github-willf-bitset.git
XS-Go-Import-Path: github.com/willf/bitset
Testsuite: autopkgtest-pkg-go

Package: golang-github-willf-bitset-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Go package implementing bitsets (dev)
 Package bitset implements bitsets, a mapping between non-negative integers and
 boolean values. It should be more efficient than map[uint] bool.
 .
 It provides methods for setting, clearing, flipping, and testing individual
 integers.
 .
 This package contains the dev files.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-willf-bitset-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/bits-and-blooms/bitset/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-willf-bitset 1.1.11

=== debian/changelog ===
golang-github-willf-bitset (1.1.11-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + golang-github-willf-bitset-dev: Add Multi-Arch: foreign.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 01:29:28 +0000

golang-github-willf-bitset (1.1.11-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Fix Debian QA group name.

  [ Debian Janitor ]
  * Update standards version to 4.1.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Change priority extra to priority optional.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository.

  [ Shengjing Zhu ]
  * New upstream version 1.1.11
  * New maintainer (Closes: #889198)
  * Update debhelper compat to 13
  * Update Standards-Version to 4.5.0 (no changes)
  * Add Rules-Requires-Root
  * Enable tests
  * Update d/copyright

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 24 Aug 2020 00:09:17 +0800

=== debian/control ===
Source: golang-github-willf-bitset
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
Standards-Version: 4.6.1
Homepage: https://github.com/willf/bitset
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-willf-bitset
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-willf-bitset.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/willf/bitset

Package: golang-github-willf-bitset-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: Implements bitsets, a mapping between non-negative integers and boolean values
 This package provides a Go library with methods for setting, clearing,
 flipping, and testing individual integers.
 .
 It also provides set intersection, union, difference, complement, and
 symmetric operations, as well as tests to check whether any, all, or
 no bits are set, and queries a bitset's current length and number of
 positive bits.
